Ladda hem och installera äldre versioner

MinSläkt 3.12 fungerar under Windows XP/Vista/7/8/8.1/10 (både 32- och 64-bitars)

Ladda hem MinSläkt V3.12